关于ZAKER 融媒体解决方案 合作 加入

python- 无法安装 pyHook 软件包“找不到满足 pyH.

CocoaChina 10-13

我试图在 pycharm 中安装 pyHook 包 , 但出现标题错误 . 我已经使用 pip install pyHook-1.5.1-cp37-cp37m-win_amd64.whl 在 cmd 中成功安装了它 , 但是当我在 pycharm 中安装它时 , 出现了上述错误:

Collecting pyHook Could not find a version that satisfies the requirement pyHook ( from versions: ) No matching distribution found for pyHook

最佳答案

我本人遇到了这个问题 , 经过大量搜索后发现 , 尽管 pyhook 具有适用于python 3 的轮子 , 但它不兼容 . 查看 pyhook 的最新发布日期:2008 年 10 月 10 日 .Python 3 发布于:2008 年 12 月 3 日 .

我建议您研究一下键盘模块 . 据我所知 , 它支持 python 3, 并具有 pyhook 的所有功能 .

以上内容由"CocoaChina"上传发布 查看原文
相关标签 python软件包搜索